低危 AFFLIB up to 3.7.16 lib/afflib_pages.cpp af_get_page 拒绝服务漏洞

CVE编号

CVE-2018-8050

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-11 19:29:00
漏洞描述
AFFLIB(又名AFFLIBv3)是一个用于操作高级取证格式(AFF)文件的开源函数库。
AFFLIB 3.7.16及之前版本中的lib/afflib_pages.cpp文件的‘af_get_page()’函数存在安全漏洞。远程攻击者可借助损坏的FF图像利用该漏洞造成拒接服务(段错误)。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://github.com/sshock/AFFLIBv3/commit/435a2ca802358a3debb6d164d2c33049131df81c
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 afflib_project afflib * Up to
(including)
3.7.16
2
运行在以下环境
系统 debian_9 afflib * Up to
(excluding)
3.7.15-1
3
运行在以下环境
系统 fedora_EPEL_7 afflib * Up to
(excluding)
3.7.18-2.el7
4
运行在以下环境
系统 fedora_27 afflib * Up to
(excluding)
3.7.16-4.fc27
5
运行在以下环境
系统 fedora_28 afflib * Up to
(excluding)
3.7.16-4.fc28
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况